Page MenuHomePhabricator

1.33.0-wmf.1 deployment blockers
Closed, ResolvedPublicRelease

Details

2018 week 43 1.33-wmf.1 Changes wmf/1.33.0-wmf.1

This MediaWiki Train Deployment is scheduled for the week of Monday, October 22nd:

Monday October 22ndTuesday, October 23rdWednesday, October 24thThursday, October 25thFriday
SWAT deployments only.Branch wmf.1 and deploy to Group 0 Wikis.Deploy wmf.1 to Group 1 Wikis.Deploy wmf.1 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.1 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.26
Next: 1.33.0-wmf.2

Event Timeline

greg created this task.Oct 10 2018, 5:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:22 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:27 PM
mmodell claimed this task.Oct 23 2018, 8:01 PM

Mentioned in SAL (#wikimedia-operations) [2018-10-23T23:31:24Z] <twentyafterfour@deploy1001> Started scap: syncing 1.33.0-wmf.1 refs T206655

Mentioned in SAL (#wikimedia-operations) [2018-10-24T00:08:23Z] <twentyafterfour@deploy1001> Finished scap: syncing 1.33.0-wmf.1 refs T206655 (duration: 36m 58s)

Change 469352 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469352

Change 469352 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469352

Mentioned in SAL (#wikimedia-operations) [2018-10-24T00:26:20Z] <twentyafterfour> finished with mediawiki train for group0 refs T206655

Mentioned in SAL (#wikimedia-operations) [2018-10-24T00:28:05Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.33.0-wmf.1 refs T206655

Something may be messed up with Eventbus/Kafka timestamp generation, see T207817: WDQS Updater ran into issue and stopped working.

Since the revert in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/EventBus/+/469449, I think T207817 is no longer blocking the train. We still have some fixes to do, but I think the train can continue.

Change 469485 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469485

Change 469485 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469485

Mentioned in SAL (#wikimedia-operations) [2018-10-24T19:19:08Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.33.0-wmf.1 refs T206655

Change 469487 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.26 refs T206655

https://gerrit.wikimedia.org/r/469487

Change 469487 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.26 refs T206655

https://gerrit.wikimedia.org/r/469487

Legoktm added a subscriber: Legoktm.

I +2'd https://gerrit.wikimedia.org/r/469544 into master, someone will need to backport it before the train should advance.

Change 469709 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469709

Change 469709 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469709

Mentioned in SAL (#wikimedia-operations) [2018-10-25T20:30:07Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.33.0-wmf.1 refs T206655

Mentioned in SAL (#wikimedia-operations) [2018-10-25T20:31:02Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.33.0-wmf.1 refs T206655 (duration: 00m 54s)

Change 469711 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.26 refs T206655

https://gerrit.wikimedia.org/r/469711

Change 469711 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.26 refs T206655

https://gerrit.wikimedia.org/r/469711

Change 469769 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469769

Change 469769 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469769

So we're now at group1, the error rate seems to have stabilized. I want to monitor it just a few more minutes before I decide for sure to go ahead to group2.

at group1 and 66% of errors are from 1.33.0-wmf.1. Normally it should be more like 10%-20% of errors from the group1 branch.

Change 469779 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469779

Going ahead with group2 and will see how it goes.

Change 469779 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469779

Mentioned in SAL (#wikimedia-operations) [2018-10-25T21:25:03Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group2 wikis to 1.33.0-wmf.1 refs T206655

Change 469781 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.32.0-wmf.26 refs T206655

https://gerrit.wikimedia.org/r/469781

Change 469781 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.32.0-wmf.26 refs T206655

https://gerrit.wikimedia.org/r/469781

Mentioned in SAL (#wikimedia-operations) [2018-10-25T21:35:45Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: rolling back group1 refs T206655 T208000

Change 469812 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469812

Change 469812 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.33.0-wmf.1 refs T206655

https://gerrit.wikimedia.org/r/469812

Mentioned in SAL (#wikimedia-operations) [2018-10-26T00:54:01Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group2 wikis to 1.33.0-wmf.1 refs T206655

Mentioned in SAL (#wikimedia-operations) [2018-10-26T00:56:12Z] <twentyafterfour> twentyafterfour@deploy1001 rebuilt and synchronized wikiversions files: group2 wikis to 1.33.0-wmf.1 refs T206655

mmodell closed this task as Resolved.Oct 26 2018, 7:00 PM